//
//  ANGeometryHelper.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 04.01.12.
//  Copyright 2012 AvisNocturna Software. All rights reserved.
//

@interface ANGeometryHelper : NSObject

+ (float) angleOfRayX:(float)x andY:(float)y;
+ (CGPoint) rotatePoint:(CGPoint)rotatePoint withCenterPoint:(CGPoint)originPoint withDegrees:(double)degrees;

+ (CGRect) scaleRect:(CGRect)rect factor:(float)factor;
+ (CGRect) ceilRect:(CGRect)rect;

+ (CGRect) centerRect:(CGRect)rect inRect:(CGRect)bounds;
+ (CGRect) scaledRectInBounds:(CGRect)bounds size:(CGSize)size;
+ (CGRect) fittedRectInBounds:(CGRect)bounds size:(CGSize)size;
+ (CGSize) proportionallyScaleSize:(CGSize)size toFitInSize:(CGSize)bounds;

@end
