//
//  LCCombineObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 28.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseObject.h"

enum _LCCombineObject_Type
{
    LCCombineObject_Type_Substract = 0,
    LCCombineObject_Type_Add
    
}typedef LCCombineObject_Type;

@interface LCCombineObject : LCBaseObject
{
    LCBaseObject *rootObject;
    NSMutableArray *combineObjects;
    
    LCCombineObject_Type type;
    
    CGPoint lastDraggingPoint;
}

@property (retain) LCBaseObject *rootObject;

- (void) addToCombineObjects:(NSArray*)objects;
- (void) removeFromCombineObjects:(NSSet*)objects;
@property (copy) NSArray *combineObjects;

@property (assign) LCCombineObject_Type type;

@end
