//
//  LCInvertedPerspectiveShadowFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 31.03.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseFilter.h"

@interface LCInvertedPerspectiveShadowFilter : LCBaseFilter
{
    float radius;
    float xOffset;
    float height;
    float expand;
    float opacity;
    float fading;
    
    id color;
}

@property (assign) float radius;
@property (assign) float xOffset;
@property (assign) float height;    //0..1
@property (assign) float expand;
@property (assign) float opacity;
@property (assign) float fading;

@property (retain) id color;

@end
