//
//  LCLineObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 29.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseObject.h"

@interface LCLineObject : LCBaseObject
{
    CGPoint fromPoint;
    CGPoint toPoint;

    float width;
    CGLineCap lineCap;
    
    //Handles & Dragging
    CGPoint dragStartPoint;
    CGPoint fromDragStartPoint;
    CGPoint toDragStartPoint;
}

@property (assign) CGPoint fromPoint;
@property (assign) CGPoint toPoint;

@property (assign) float width;
@property (assign) CGLineCap lineCap;

@end
