//
//  LCPatternBorderFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 05.02.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseBorderFilter.h"

@class LCPattern;

@interface LCPatternBorderFilter : LCBaseBorderFilter
{
    LCPattern *pattern;
    
    float xStretch;
    float yStretch;
}

@property (retain) LCPattern *pattern;

@property (assign) float xStretch;
@property (assign) float yStretch;

@end
